<%@ page language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%> 
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>
<%@taglib uri="/WEB-INF/lib/sa.tld" prefix="sa"%>

<jato:useViewBean className="com.sun.netstorage.mgmt.fm.storade.ui.viewbeans.reports.RackViewBean">

<!-- Bread Crumb component -->
<sa:primarymasthead name="Masthead" showDefaultPageTitle="withBarOnly">

<jato:form name="rackForm" method="post">

<cc:spacer name="sp0" height="10" newline="true"/>

<div class="content-layout">
<!-- Page-level action menu -->
<cc:dropdownmenu name="PageMenu" bundleID="appBundle"
    commandChild="PageMenuHref"/>
</div>

<jato:content name="AnalyzeInventoryPopupSection">
<% 
  String appName = com.sun.netstorage.mgmt.fm.storade.ui.util.Connection.getAppName();
  String link    = "/" + appName + "/reports/AnalyzeInventory";
%>
<script type="text/javascript">
var win = window.open('<%=link%>','analyzeWindow','scrollbars,resizable,height=400,width=600,left='+((window.screen.width-600)/2)+',top='+((window.screen.height-400)/2));
win.focus();
</script>
</jato:content>


<cc:spacer name="sp1" height="15" newline="true"/>

<sa:jumpto name="JumpTo" bundleID="appBundle"/>

<sa:section name="Rack0" sectionPosition="rack0"
            sectionTitle="rack.section.title.rack0"
            bundleID="appBundle">

<cc:actiontable 
 name="RackTable" 
 bundleID="appBundle" 
 title="rack.table.title.components" 
 summary="rack.table.summary" 
 empty="rack.table.empty" 
 selectionType="none"
 showAdvancedSortingIcon="false" 
 showLowerActions="false" 
 showPaginationControls="false" 
 showPaginationIcon="false" 
 showSelectionIcons="false" 
 page="1" />

</sa:section>

<!-- do not display it if we do not have expansion racks -->
<jato:content name="ExpansionRack1">
  <sa:section name="Rack1" sectionPosition="rack1"
              sectionTitle="rack.section.title.rack1"
              bundleID="appBundle">

  <cc:actiontable 
   name="RackTable_1" 
   bundleID="appBundle" 
   title="rack.table.title.components" 
   summary="rack.table.summary" 
   empty="rack.table.empty" 
   selectionType="none"
   showAdvancedSortingIcon="false" 
   showLowerActions="false" 
   showPaginationControls="false" 
   showPaginationIcon="false" 
   showSelectionIcons="false" 
   page="1" />

  </sa:section>
</jato:content>

<jato:content name="ExpansionRack2">
  <sa:section name="Rack2" sectionPosition="rack2"
              sectionTitle="rack.section.title.rack2"
              bundleID="appBundle">

  <cc:actiontable 
   name="RackTable_2" 
   bundleID="appBundle" 
   title="rack.table.title.components" 
   summary="rack.table.summary" 
   empty="rack.table.empty" 
   selectionType="none"
   showAdvancedSortingIcon="false" 
   showLowerActions="false" 
   showPaginationControls="false" 
   showPaginationIcon="false" 
   showSelectionIcons="false" 
   page="1" />

  </sa:section>
</jato:content>

<jato:content name="ExpansionRack3">
  <sa:section name="Rack3" sectionPosition="rack3"
              sectionTitle="rack.section.title.rack3"
              bundleID="appBundle">

  <cc:actiontable 
   name="RackTable_3" 
   bundleID="appBundle" 
   title="rack.table.title.components" 
   summary="rack.table.summary" 
   empty="rack.table.empty" 
   selectionType="none"
   showAdvancedSortingIcon="false" 
   showLowerActions="false" 
   showPaginationControls="false" 
   showPaginationIcon="false" 
   showSelectionIcons="false" 
   page="1" />

  </sa:section>
</jato:content>

<sa:section name="notes" sectionPosition="notes"
            sectionTitle="asset.details.section.title.notes"
            bundleID="appBundle">

<div class="ConMgn">
<cc:textarea name="Note" rows="4" cols="100" bundleID="appBundle"/>

<cc:spacer name="spacer" height="10" newline="true"/>

<sa:buttongroup name="SaveButton,ResetButton"
                defaultValue="button.save,button.reset"
                bundleID="appBundle"/>
</div>

</sa:section>

</jato:form>

</sa:primarymasthead>

</jato:useViewBean>

